Subject: Re: bug#61281: “`(a \, b)” equals to “`(a . ,b)”

From: Michael Heerdegen <[email-masked]>
Date: Tue, 07 Feb 2023 02:07:14 +0100

Drew Adams <[email-masked]> writes:

> > I recall one user had a need to macro-expand something that indented to
> > be passed to another macro-expand. We did not find a way to retain ","
> > in the macro-expanded sexp.
>
> Thanks.  All the more reason why it would be good for the bug to be
> fixed.  It may be a corner case, but apparently it really exists.

Unless I'm misunderstanding, this is a contradictory argument: to retain
a single "," for another macroexpand, you are actually _using_ this
implementation detail (in the outer expansion), so it is of no use to
change the ,X --> (\, X) expansion because then, the outer macro
expansion would handle the single "," as well.

And if the reader syntax "," was meant, this kind of "problem" exists in
other Lisps as well.

Michael.